Change log for gdl package in Ubuntu

153 of 53 results
Published in disco-release on 2019-01-07
Deleted in disco-proposed (Reason: moved to release)
gdl (3.28.0-2) unstable; urgency=medium

  * Restore -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <email address hidden>  Sun, 23 Dec 2018 21:02:27 -0500

Available diffs

Superseded in disco-release on 2019-01-07
Published in cosmic-release on 2018-05-01
Published in bionic-release on 2018-03-12
Deleted in bionic-proposed (Reason: moved to release)
gdl (3.28.0-1) unstable; urgency=medium

  * New upstream release
  * Drop patch, applied in new release

 -- Jeremy Bicha <email address hidden>  Sun, 11 Mar 2018 11:18:18 -0400

Available diffs

Superseded in bionic-release on 2018-03-12
Deleted in bionic-proposed on 2018-03-13 (Reason: moved to release)
gdl (3.26.0-3) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Update Vcs fields for migration to https://salsa.debian.org/

  [ Simon McVittie ]
  * d/p/bgo-791913-Convert-Latin-1-encoded-characters-to-UTF-8.patch:
    Add patch from upstream converting copyright notices from ISO-8859-1
    to UTF-8 so recent gtk-doc versions will work (Closes: #887805)

 -- Jeremy Bicha <email address hidden>  Sat, 27 Jan 2018 11:39:10 -0500

Available diffs

Superseded in bionic-release on 2018-01-28
Deleted in bionic-proposed on 2018-01-29 (Reason: moved to release)
gdl (3.26.0-2) unstable; urgency=medium

  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2
  * Bump debhelper compat to 11

 -- Jeremy Bicha <email address hidden>  Sat, 16 Dec 2017 17:15:43 -0500

Available diffs

Superseded in bionic-release on 2017-12-17
Published in artful-release on 2017-09-16
Deleted in artful-proposed (Reason: moved to release)
gdl (3.26.0-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.1.0

 -- Jeremy Bicha <email address hidden>  Fri, 15 Sep 2017 20:14:53 -0400

Available diffs

Superseded in artful-release on 2017-09-16
Obsolete in zesty-release on 2018-06-22
Obsolete in yakkety-release on 2018-01-23
Deleted in yakkety-proposed on 2018-06-22 (Reason: moved to release)
gdl (3.22.0-1) unstable; urgency=medium

  * New upstream release.
  * Convert from cdbs to dh.
  * Bump debhelper compat level to 10.
  * Pass --as-needed to dh_autoreconf and to the linker to reduce runtime
    dependencies.

 -- Michael Biebl <email address hidden>  Sun, 18 Sep 2016 20:29:05 +0200

Available diffs

Superseded in yakkety-release on 2016-09-19
Deleted in yakkety-proposed on 2016-09-20 (Reason: moved to release)
gdl (3.20.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop libgdl-3-dbg package now that we have automatic dbgsym packages.
  * Ensure proper upgrade from libgdl-3-dbg to new dbgsym packages by using
    dh_strip --dbgsym-migration. Bump Build-Depends on debhelper accordingly.
  * Drop obsolete Breaks/Replaces from pre-wheezy.
  * Bump Standards-Version to 3.9.8.

 -- Michael Biebl <email address hidden>  Fri, 15 Apr 2016 00:31:51 +0200

Available diffs

Superseded in yakkety-release on 2016-04-27
Published in xenial-release on 2015-10-24
Deleted in xenial-proposed (Reason: moved to release)
gdl (3.18.0-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <email address hidden>  Mon, 21 Sep 2015 15:30:54 +0200

Available diffs

Superseded in xenial-release on 2015-10-24
Obsolete in wily-release on 2018-01-22
Deleted in wily-proposed on 2018-01-22 (Reason: moved to release)
gdl (3.16.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump debhelper compatibility level to 9.

 -- Michael Biebl <email address hidden>  Tue, 26 May 2015 01:35:18 +0200

Available diffs

Superseded in wily-release on 2015-05-26
Obsolete in vivid-release on 2018-01-18
Deleted in vivid-proposed on 2018-01-19 (Reason: moved to release)
gdl (3.14.0-2) unstable; urgency=medium


  * Install typelib files into multiarch paths now that gobject-introspection
    supports multiarch.
  * Mark gir and dev packages as Multi-Arch: same.
  * Bump Standards-Version to 3.9.6. No further changes.

 -- Michael Biebl <email address hidden>  Thu, 02 Oct 2014 14:21:22 +0200
Superseded in vivid-release on 2014-12-05
Obsolete in utopic-release on 2016-11-03
Deleted in utopic-proposed on 2016-11-03 (Reason: moved to release)
gdl (3.12.0-0ubuntu1) utopic; urgency=medium

  * New upstream release
 -- Robert Ancell <email address hidden>   Mon, 21 Jul 2014 14:03:08 +1200

Available diffs

Superseded in utopic-release on 2014-07-21
Published in trusty-release on 2014-01-17
Deleted in trusty-proposed (Reason: moved to release)
gdl (3.8.1-2ubuntu1) trusty; urgency=medium

  * Use dh-autoreconf instead of autotools-dev to also fix FTBFS on ppc64el by
    getitng new libtool macros (still updates config.{sub,guess}).
 -- Logan Rosen <email address hidden>   Fri, 17 Jan 2014 13:34:15 -0500
Superseded in trusty-release on 2014-01-17
Deleted in trusty-proposed on 2014-01-19 (Reason: moved to release)
gdl (3.8.1-2) unstable; urgency=low


  * Upload to unstable.

 -- Michael Biebl <email address hidden>  Wed, 31 Jul 2013 23:34:35 +0200

Available diffs

Superseded in trusty-release on 2013-10-23
Obsolete in saucy-release on 2015-04-24
Deleted in saucy-proposed on 2015-04-28 (Reason: moved to release)
gdl (3.8.1-1) experimental; urgency=low


  [ Thomas Bechtold ]
  * New upstream release.
  * debian/control:
    - Bump Standards-Version to 3.9.4.
    - Rename libgdl-3-2 → libgdl-3-5 for the soname bump.

 -- Michael Biebl <email address hidden>  Sat, 29 Jun 2013 09:55:15 +0200
Superseded in saucy-release on 2013-07-01
Obsolete in raring-release on 2015-04-24
Deleted in raring-proposed on 2015-04-27 (Reason: moved to release)
gdl (3.6.2-0ubuntu1) raring; urgency=low

  * New upstream release
 -- Robert Ancell <email address hidden>   Thu, 15 Nov 2012 13:56:21 +1300

Available diffs

Superseded in raring-release on 2012-11-15
Obsolete in quantal-release on 2015-04-24
gdl (3.6.0-0ubuntu1) quantal; urgency=low

  * New upstream stable release
 -- Robert Ancell <email address hidden>   Thu, 27 Sep 2012 09:32:08 +1200

Available diffs

Superseded in quantal-release on 2012-09-27
gdl (3.5.91-0ubuntu1) quantal; urgency=low

  * New upstream bugfix release
  * debian/control:
    - Rename packages to new soname
 -- Robert Ancell <email address hidden>   Wed, 19 Sep 2012 16:36:09 +1200

Available diffs

Superseded in quantal-release on 2012-09-19
gdl (3.5.5-0ubuntu1) quantal; urgency=low

  * New upstream release
  * debian/libgdl-3-4.symbols:
    - Updated
 -- Robert Ancell <email address hidden>   Mon, 27 Aug 2012 15:12:32 +1200

Available diffs

Superseded in quantal-release on 2012-08-27
gdl (3.5.4-0ubuntu1) quantal; urgency=low

  [ Robert Ancell ]
  * New upstream release
  * debian/control:
    - Build-depend on dh-autoreconf, gnome-common
  * debian/rules:
    - Use autoreconf.mk

  [ Brian Curtis ]
  * debian/control:
    - Change Ubuntu to Maintainer
    - SONAME Bump
  * debian/libgdl-3-4.symbols:
    - Updated
 -- Brian Curtis <email address hidden>   Tue, 24 Jul 2012 17:52:03 -0400
Superseded in quantal-release on 2012-07-29
gdl (3.4.2-1) unstable; urgency=low


  * New upstream release.
  * Bump Build-Depends on cdbs for multiarch support.
  * Drop explicit Build-Depends on gir1.2-gtk-3.0.

 -- Michael Biebl <email address hidden>  Tue, 24 Apr 2012 18:58:13 +0200

Available diffs

Superseded in quantal-release on 2012-05-18
Published in precise-release on 2012-03-13
gdl (3.3.91-1) experimental; urgency=low


  * New upstream development release.
  * Rename libgdl-3-1 → libgdl-3-2 for the soname bump.
  * debian/libgdl-3-common.install: Remove /usr/share/gdl-3 since upstream no
    longer installs a .ui file.
  * debian/libgdl-3-2.symbols: Add new symbols and remove GdlLayoutManager
    related symbols, which were dropped upstream.
  * debian/rules: Build gtk-doc API documentation, don't use the one shipped
    in the upstream tarball.
  * Split the API documentation from libgdl-3-common into a separate package
    libgdl-3-doc. Add the necessary Breaks/Replaces.
  * Add Suggests: libgdl-3-doc to libgdl-3-dev.
  * Convert libgdl to multiarch.
  * Bump Standards-Version to 3.9.3.

 -- Michael Biebl <email address hidden>  Mon, 12 Mar 2012 17:02:21 +0100
Superseded in precise-release on 2012-03-13
gdl (3.3.4-0ubuntu1) precise; urgency=low

  * New upstream version
  * Updated control and .install for the new soname
  * debian/libgdl-3-2.symbols:
    - updated symbols list
 -- Sebastien Bacher <email address hidden>   Tue, 17 Jan 2012 15:23:28 +0100

Available diffs

Superseded in precise-release on 2012-01-17
gdl (3.2.0-1) unstable; urgency=low

  * Rename the source package back to gdl.
  * New upstream release.
  * Update symbols file for libgdl-3-1.
 -- Sebastien Bacher <email address hidden>   Thu,  20 Oct 2011 19:21:00 +0000

Available diffs

Superseded in precise-release on 2011-10-20
Obsolete in oneiric-release on 2015-04-24
gdl (3.1.5-0ubuntu1) oneiric; urgency=low

  * New upstream version
 -- Sebastien Bacher <email address hidden>   Tue, 16 Aug 2011 17:11:10 +0200

Available diffs

Superseded in oneiric-release on 2011-08-16
gdl (3.1.4-0ubuntu1) oneiric; urgency=low

  * New upstream version
 -- Sebastien Bacher <email address hidden>   Mon, 25 Jul 2011 15:48:53 +0200

Available diffs

Superseded in oneiric-release on 2011-07-25
gdl (3.1.2-0ubuntu1) oneiric; urgency=low

  * New upstream version
  * debian/libgdl-3-1.symbols: use a .symbols
 -- Sebastien Bacher <email address hidden>   Tue, 05 Jul 2011 15:58:46 +0200

Available diffs

Superseded in oneiric-release on 2011-07-05
gdl (3.0.2-0ubuntu1) oneiric; urgency=low

  * New upstream version
 -- Sebastien Bacher <email address hidden>   Fri, 24 Jun 2011 11:02:42 +0200

Available diffs

Superseded in oneiric-release on 2011-06-24
gdl (3.0.0-1ubuntu1) oneiric; urgency=low

  * debian/libgdl-3-common.install:
    - Don't try to install gir files, because that causes a conflict
      with libgdl-3-dev
 -- Michael Terry <email address hidden>   Fri, 20 May 2011 14:06:01 -0400

Available diffs

Superseded in oneiric-release on 2011-05-20
gdl (3.0.0-1) experimental; urgency=low

  * New upstream stable release.

Available diffs

Superseded in oneiric-release on 2011-04-29
Obsolete in natty-release on 2013-06-04
Superseded in natty-release on 2011-03-24
gdl (2.30.1-1) unstable; urgency=low

  * New upstream translation-only release.
 -- Ubuntu Archive Auto-Sync <email address hidden>   Fri,  15 Oct 2010 09:30:46 +0000

Available diffs

Superseded in natty-release on 2010-10-15
Obsolete in maverick-release on 2013-03-05
Obsolete in lucid-release on 2016-10-26
gdl (2.30.0-1) unstable; urgency=low

  * New upstream stable release:
    + debian/rules:
      - Update SHVER to 2.30.0 because of API additions.
 -- Sebastien Bacher <email address hidden>   Tue,  13 Apr 2010 17:18:44 +0100

Available diffs

Superseded in lucid-release on 2010-04-13
gdl (2.29.92-0ubuntu1) lucid; urgency=low

  * New upstream release:
   - Iconify button now iconifies entire switcher, not just a particular item
   - Add a "selected" signal to GdlDockItem
   - Don't make dock windows transistent, there is now need to do so
   - Bug 583984 -  Build warning about no return value
  * debian/control.in:
    - udpate Standards-Version to latest
 -- Didier Roche <email address hidden>   Tue, 09 Mar 2010 10:15:47 +0100

Available diffs

Superseded in lucid-release on 2010-03-09
gdl (2.28.2-1) unstable; urgency=low

  * New upstream bugfix release.
 -- Ubuntu Archive Auto-Sync <email address hidden>   Tue,  08 Dec 2009 08:15:00 +0000

Available diffs

Superseded in lucid-release on 2009-12-08
gdl (2.28.1-1) unstable; urgency=low

  * New upstream release.
  * Standards-Version is 3.8.3, no changes needed.
 -- Sebastien Bacher <email address hidden>   Thu,  05 Nov 2009 14:18:46 +0000

Available diffs

Superseded in lucid-release on 2009-11-05
Obsolete in karmic-release on 2013-03-04
gdl (2.28.0-1) unstable; urgency=low

  * Remove .la file since nothing references it.
  * New upstream release.
  * Drop glade requirements.
  * 10_gtk_widget_show.patch: dropped, merged upstream.
  * Rename the library package to follow the ABI change.
  * Update list of copyright holders.
  * License is now LGPL.

 -- Sebastien Bacher <email address hidden>   Fri,  02 Oct 2009 15:06:16 +0100

Available diffs

Superseded in karmic-release on 2009-10-02
gdl (2.28.0-0ubuntu1) karmic; urgency=low

  * New upstream release (LP: #435731)
    - GDL is now LGPL 2.1+
    - Add new GdlSwitcherStyle name GDL_SWITCHER_STYLE_NONE
    - Translation updates
  * So-name bump:
    - Update debian/control.in
    - rename libgdl-1-2.install to libgdl-1-3.install
  * New license (LPGL 2.1+): update debian/copyright

 -- Didier Roche <email address hidden>   Thu, 24 Sep 2009 11:55:35 +0200
Superseded in karmic-release on 2009-09-28
gdl (2.27.3-0ubuntu1) karmic; urgency=low

  [ Robert Ancell ]
  * New upstream version (LP: #389259).
    - Removed libglade dependency
    - #584418 - gdl_dock_paned_dock does not show the requestor
    - #584303 – Potfiles.in broken
    - #580860 – Remove deprecated libgnome dependency
    - #582511 – Use GtkBuilder instead of libglade
    - #583963 – does not build with gdl 2.27.2
  * debian/watch: Watch for unstable versions
  * debian/patches/10_fix_missing_header.patch:
    debian/patches/99_autoreconf.patch: Fixed upstream

  [ Daniel Holbach ]
  * debian/control.in: remove libglade2-dev Build-Depends / Depends.

 -- Robert Ancell <email address hidden>   Fri, 19 Jun 2009 09:46:17 +1000
Superseded in karmic-release on 2009-06-19
gdl (2.27.2-0ubuntu1) karmic; urgency=low

  * New upstream version (LP: #375844).
    - 2.27.1
      - #579057 – Grip layout bug where negative rectangles are possible
      - #578967 – gdl_dock_item_grip_remove must be implemented
      - #471317 – invisible buttons in HCI theme
      - #560820 – Remove GdlComboButton
      - #577938 – gdl_dock_placeholder_new's name param should be const gchar* not gchar*
      - #577107 – Layout bug in the grip widget headers
      - #577001 – Patch: Added optional grip handle hatching
      - #577469 – Remove deprecated GTK+ symbols
      - GdlComboButton API has been removed. Use GtkMenuToolButton instead
    - 2.27.2
      - Fix out of source tree builds
      - Hide private API
      - Fix so name generation
  * Merged from Debian, remaining changes:
    - debian/control.in:
      - Set maintainer to Ubuntu
      - Add VCS
      - Updated dependencies
      - Change package name from libgdl-1-0 to libgdl-1-2
      - Depend on libgdl-1-common '>= ${source:Version}' instead of '= ${source:Version}'
    - debian/libgdl-1-2.install: Renamed from libgdl-1-0.install
    - debian/patches/10_fix_missing_header.patch:
      debian/patches/99_autoreconf.patch: Install gdl-dock-placeholder.h
    - debian/control: Rebuilt

 -- Robert Ancell <email address hidden>   Wed, 03 Jun 2009 16:06:33 +1000

Available diffs

Superseded in karmic-release on 2009-06-15
Obsolete in jaunty-release on 2013-02-28
gdl (2.26.0-0ubuntu1) jaunty; urgency=low

  * New upstream version (LP: #344006).
    - Fix distcheck
    - Fix valgrind warning
    - Translation updates

 -- Christophe Sauthier <email address hidden>   Tue, 17 Mar 2009 00:53:55 +0100
Superseded in jaunty-release on 2009-03-17
gdl (2.25.92-0ubuntu1) jaunty; urgency=low

  * New upstream version (LP: #337418)
    - Added some gtk-doc documentation (Joel Holdsworth)
    - Cleaned-up gtk+ includes (Pedro Fragoso)
    - Fix the button disappearance (Sebastien Granjoux)
    - Some GDL patches (Joel Holdsworth)
    - Small documentation update.

 -- Christophe Sauthier <email address hidden>   Tue, 03 Mar 2009 21:15:57 +0100

Available diffs

Superseded in jaunty-release on 2009-03-04
gdl (2.24.0-3) unstable; urgency=low

  * Add GNOME team as uploaders; add control.in and include uploaders.mk to
    generate uploaders list; bdep on gnome-pkg-tools (>= 0.10).
  * Wrap build-deps and deps to get cleaner patches.
  * Add ${misc:Depends} and ${shlibs:Depends}.
  * Bump up Standards-Version to 3.8.0.
  * List full license header.
  * Whitespace cleanups.
  * Include gnome-get-source.mk optionally.
  * Include clean-la.mk; bdep on gnome-pkg-tools >= 0.11.
  * Add debian/compat 5; doh!
  * Add watch file.

Available diffs

Superseded in jaunty-release on 2008-11-05
Obsolete in intrepid-release on 2013-02-20
gdl (2.24.0-1) unstable; urgency=low

  * New upstream release.
  - Remove now-unused libgdl-gnome binary packages.

 -- Sebastien Bacher <email address hidden>   Thu,  25 Sep 2008 13:41:12 +0100

Available diffs

Superseded in intrepid-release on 2008-09-25
gdl (2.24.0-0ubuntu1) intrepid; urgency=low

  * New upstream version (LP: #274198).
    - Removal of the libgdl-gnome:
      + debian/control :
        removal of the binary package libgdl-gnome-1-0 and libgdl-gnome-1-0-dbg.
        removal of the libgdl-1-dev dependency on libgdl-gnome-1-0
      + removal of debian/libgdl-gnome-1-0.install.
      + debian/libgdl-1-dev.install: removal of the references to
        debian/tmp/usr/lib/libgdl-gnome-1.la and
        debian/tmp/usr/lib/libgdl-gnome-1.so
  * Modify Maintainer value to match the DebianMaintainerField
    specification.

 -- Christophe Sauthier <email address hidden>   Thu, 25 Sep 2008 01:58:26 +0200

Available diffs

Superseded in intrepid-release on 2008-09-25
Obsolete in hardy-release on 2015-04-24
gdl (0.7.11-1) unstable; urgency=low

  * New upstream release

 -- Emilio Pozuelo Monfort <email address hidden>   Mon,  10 Mar 2008 14:13:31 +0000
Superseded in hardy-release on 2008-03-10
gdl (0.7.10-1) unstable; urgency=low

  * New upstream release

 -- Emilio Pozuelo Monfort <email address hidden>   Tue,  26 Feb 2008 13:31:53 +0000
Superseded in hardy-release on 2008-02-26
gdl (0.7.9-1) unstable; urgency=low

  * New upstream release

Superseded in hardy-release on 2008-02-18
gdl (0.7.7-1) unstable; urgency=low

  * New upstream release

 -- Ubuntu Archive Auto-Sync <email address hidden>   Tue,  23 Oct 2007 16:16:46 +0100
Superseded in hardy-release on 2007-10-23
Obsolete in gutsy-release on 2011-09-16
gdl (0.7.6-1) unstable; urgency=low

  * New upstream release

 -- Daniel Holbach <email address hidden>   Wed,  04 Jul 2007 18:21:12 +0100
Superseded in gutsy-release on 2007-07-04
gdl (0.7.5-1) unstable; urgency=low

  * New upstream release

 -- Ubuntu Archive Auto-Sync <email address hidden>   Mon,  07 May 2007 08:10:32 +0100
Superseded in gutsy-release on 2007-05-07
gdl (0.7.3-1) unstable; urgency=low

  * New upstream release

Superseded in gutsy-release on 2007-04-27
Obsolete in feisty-release on 2009-08-20
Obsolete in edgy-release on 2008-06-19
gdl (0.6.1-1) unstable; urgency=low

  * New upstream release

Superseded in edgy-release on 2006-06-15
Obsolete in dapper-release on 2011-09-06
Superseded in dapper-release on 2006-02-03
gdl (0.6.0-3) unstable; urgency=low


  * Upload to unstable.

 -- Rob Bradford <email address hidden>  Wed, 11 Jan 2006 11:05:47 +0000
Superseded in dapper-release on 2006-01-31
Obsolete in breezy-release on 2008-03-25
gdl (0.6.0-1build2) breezy; urgency=low


  * Rebuild to drap the glitz mention.

 -- Sebastien Bacher <email address hidden>  Thu, 25 Aug 2005 15:17:55 +0200
153 of 53 results